/**
 * MultipartMediaType2.java
 *
 * File generated from the medication2::MultipartMediaType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration MultipartMediaType2.
 *
 * 
 */

@XmlType(name = "MultipartMediaType")
@XmlEnum
@XmlRootElement(name = "MultipartMediaType2")
public enum MultipartMediaType2 {
	@XmlEnumValue("multipart/x-hl7-cda-level1")
	MULTIPARTXHL7CDALEVEL1("multipart/x-hl7-cda-level1");
	
	private final String value;

    MultipartMediaType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static MultipartMediaType2 fromValue(String v) {
        for (MultipartMediaType2 c: MultipartMediaType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
